{% extends 'profile/layouts/base_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}

{% load static %}

{% block css %}
    <link rel="stylesheet" href="{% static 'profile/css/evo-calendar/evo-calendar.css' %}">
    <link rel="stylesheet" href="{% static 'profile/css/evo-calendar/evo-calendar.royal-navy.min.css' %}">
{% endblock css %}

{% block main %}
    <main role="main">
        <div class="jumbotron bg-berita-head text-putih text-center">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 mt-5 mb-auto">
                        <h2 class="mt-3">{{title}} Merapi Trip</h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb justify-content-center">
                                <li class="breadcrumb-item"><a href="{% url 'profile:home' %}">Beranda</a></li>
                                <li class="breadcrumb-item active" aria-curent="page">{{title}}</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="bg-white">
            <div class="container mt-5">
                <h5 id="kategori_berita">{{title}}</h5>
                <hr class="hr-sm mt-0 mb-4" align="left">
                <div class="pb-5">
                    <div id="calendar"></div>
                </div>
            </div>
        </div>
    </main>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/evo-calendar/evo-calendar.js' %}"></script>
    <script>
        var agendas = [];
        $( document ).ready(function() {
            $.ajax({
                url: `/api/agenda/get`,
                data: {},
                dataType: "html",
                timeout: 10000,
                success: function(response){
                    data = JSON.parse(response);
                    for (agenda of data.agenda) {
                        event = {
                            'id': agenda.id,
                            'badge': agenda.badge,
                            'name': agenda.name,
                            'date':  agenda.date,
                            'description': agenda.description,
                            'everyYear': (agenda.everyYear === 'true'),
                            'color' : agenda.color
                        }
                        agendas.push(event)
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                }
            });
            
            $("#calendar").evoCalendar({
                theme: 'Royal Navy',
                calendarEvents: agendas,
            });

            // $('#calendar .month-list li.month[data-month-val="9"]').trigger('click');
            // $('#calendar').evoCalendar('selectMonth', 9);
            $('#calendar').evoCalendar('selectDate', 'October 29, 2022');
            // $('#calendar .month-list li.month[data-month-val="9"]').trigger('click');
            // $('#calendar .month-list li.month[data-month-val="9"]').on('click.evocalendar');
            // var active_events = $('#calendar').evoCalendar('getActiveEvents');
            // console.log(active_events)
        });

        // $('#calendar').evoCalendar('selectDate', 'February 15, 2020');
        // $('#calendar').evoCalendar('selectMonth', 1);

        // $('#calendar').on('selectDate', function(event, newDate, oldDate) {
        //     console.log('rsaaf')
        //     console.log(newDate)
        //     console.log(oldDate)
            // var active_events = $('#calendar').evoCalendar('getActiveEvents');
            // console.log(active_events)
        // });
        
    </script>
{% endblock scripts_bawah %}